org.jboss.netty.handler.codec.marshalling

## Interface MarshallerProvider

- All Known Implementing Classes:
    DefaultMarshallerProvider, ThreadLocalMarshallerProvider

      public interface MarshallerProvider

  This provider is responsible to get a `Marshaller` for the given `ChannelHandlerContext`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.marshalling.Marshaller` | `getMarshaller(ChannelHandlerContext ctx)` Get a `Marshaller` for the given `ChannelHandlerContext`

- - ### Method Detail

    - #### getMarshaller

          org.jboss.marshalling.Marshaller getMarshaller(ChannelHandlerContext ctx)
                                                         throws Exception

      Get a `Marshaller` for the given `ChannelHandlerContext`
      Throws:
        `Exception`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.